0
$\begingroup$

Rosanswers logo

I am learnning ROS2 and AutowareAuto due to a recent project. I follow the setps on the offcial website and install autoware.auto without ade. Some problems appear when building using "colcon build" command.

problem 1 --- stderr: xsens_nodes
In file included from /home/minphie/AutowareAuto/src/drivers/xsens_nodes/src/xsens_imu_node.cpp:17: /home/minphie/AutowareAuto/src/drivers/xsens_nodes/include/xsens_nodes/xsens_imu_node.hpp:28:10: fatal error: serial_driver/serial_driver_node.hpp: No such file or directory 28 | #include "serial_driver/serial_driver_node.hpp" | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ compilation terminated. Failed <<< xsens_nodes [0.27s, exited with code 2] Aborted <<< autoware_auto_msgs [3.76s] Aborted <<< rosapi [1.29s]
Summary: 28 packages finished [4.50s] 1 package failed: xsens_nodes 2 packages aborted: autoware_auto_msgs rosapi 1 package had stderr output: xsens_nodes 62 packages not processed

I read the source code and get that xsens_nodes package depends on serial_drvier package. Next, I find the ros-foxy-serial-driver is installed but installed include path "/opt/ros/foxy/include/serial_driver" doesn't contain the file "serial_driver/serial_driver_node.hpp". There are serial_bridge_node.hpp serial_port.hpp serial_driver.hpp visibility_control.hpp.

problem 2---stderr: euclidean_cluster

The problem 1 is not resolved, but I plan to ignore it bucause I don't need xsens driver and nodes packages. I copy COLCON_IGNORE file to the both packages so that colcon build will pass xsens driver and nodes packages.

Unfortunately, new problem appeared like this: /home/minphie/AutowareAuto/src/perception/segmentation/euclidean_cluster/include/euclidean_cluster/euclidean_cluster.hpp:89:36: error: ‘clusters’ is not a member of ‘autoware::perception::segmentation::euclidean_cluster::Clusters’ {aka ‘autoware_auto_msgs::msg::PointClusters_std::allocator<void >’} 89 | using Cluster = decltype(Clusters::clusters)::value_type;

...

Failed <<< euclidean_cluster [19.8s, exited with code 2] Aborted <<< off_map_obstacles_filter [1min 14s]
Aborted <<< localization_nodes [47.7s]
Aborted <<< voxel_grid [26.0s]
Aborted <<< controller_common [27.0s]
Aborted <<< trajectory_smoother [22.9s]
Aborted <<< vehicle_interface [1min 37s]
Aborted <<< had_map_utils [1min 41s]

Summary: 38 packages finished [1min 47s] 1 package failed: euclidean_cluster 7 packages aborted: controller_common had_map_utils localization_nodes off_map_obstacles_filter trajectory_smoother vehicle_interface voxel_grid 3 packages had stderr output: euclidean_cluster had_map_utils rosapi 45 packages not processed


My soft environment

Uubuntu 20.04 LTS

ROS2 foxy full-desktop installed from debian package

Autoware Auto Tag 1.00 (Relase 1.0.0) built outside ade

My hardware

Intel I7 16G RAM


Looking forward to your guidance, thank you.


Originally posted by Minphie on ROS Answers with karma: 13 on 2021-10-28

Post score: 0


Original comments

Comment by Maxime on 2021-10-31:
Within the ADE environment I am able to build the 1.0.0 tag without issue (commit a6177a215956a73e75fc12abc02178b1c957d14a). For problem 1, you can try to run the following in the AutowareAuto folder:

  • sudo apt update.
  • rosdep install -y --from-paths src --ignore-src --rosdistro $ROS_DISTRO.

For problem 2, the issue might be coming from autoware_auto_msgs which is an "external" repository. Did you run vcs import < autoware.auto.foxy.repos in the AutowareAuto folder ?

Comment by Minphie on 2021-11-01:
I have tried running rosdep install -y --from-paths src --ignore-src --rosdistro $ROS_DISTRO and get that #All required rosdeps installed successfully. I think it's the version of the library because I get similar problem when building velodyne_nodes:

--- stderr: velodyne_nodes
In file included from /home/minphie/AutowareAuto/src/drivers/velodyne_nodes/src/velodyne_cloud_node.cpp:24: /home/minphie/AutowareAuto/src/drivers/velodyne_nodes/include/velodyne_nodes/velodyne_cloud_node.hpp:30:10: fatal error: udp_driver/udp_driver_node.hpp: No such file or directory 30 | #include "udp_driver/udp_driver_node.hpp"

For problem 2, I have ran vcs import < autoware.auto.foxy.repos and there is an "external" folder in the ~/AutowareAuto/src folder.

Comment by Minphie on 2021-11-01:
The ros seral_driver and udp_driver are both intalled and the information is as follows:

Package: ros-foxy-serial-driver Status: install ok installed Priority: optional Section: misc Installed-Size: 666 Maintainer: Joshua Whitley [email protected] Architecture: amd64 Version: 1.0.0-1focal.20210901.193835

Package: ros-foxy-udp-driver Status: install ok installed Priority: optional Section: misc Installed-Size: 794 Maintainer: Joshua Whitley [email protected] Architecture: amd64 Version: 1.0.0-1focal.20210901.193301

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

I am sure the problems come from the version of seral_driver and udp_driver packages. They are newest version (1.0.0) in my computer. I clone the repo https://github.com/ros-drivers/transport_drivers and checkt out 0.0.6. Move udp_driver and serial_driver to ~/AutowareAuto/src/driver then colcon build successfully.


Originally posted by Minphie with karma: 13 on 2021-11-01

This answer was ACCEPTED on the original site

Post score: 1

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.